package com.cyksj.service.order;

import com.cyksj.model.entity.GoodsDonSku;
import com.cyksj.model.entity.GroupsRelation;
import com.cyksj.model.entity.OrderDon;

/*
 *项目名: netflix
 *文件名: OrderCommonService
 *创建者: JavaZou
 *创建时间:2023/5/22 14:47
 */
public interface OrderCommonService {
	/**
	 * 虚物订单退款,清出车队,车票变成已过期
	 */
	void clearUnrealGoodsDetail(OrderDon orderDon, Integer goodsType, GoodsDonSku sku);


	/**
	 * 清除座位缓存,可用座位数增加
	 */
	void delRelation(GroupsRelation relation);

	void clearUserTicketTime(Long relationId);
}
